#ifndef SPECTRE_SYSTEM_LOG_WRITER_H
#define SPECTRE_SYSTEM_LOG_WRITER_H

namespace sp { namespace log {

class Writer
{
public:
	virtual ~Writer() {}

	virtual size_t write(const void *data, size_t len) = 0;
};


} } // sp::log

#endif /* SPECTRE_SYSTEM_LOG_WRITER_H */